import request from '@/utils/request'

// 查询院校录取数据列表
export function listMallSchoolAcceptRecord(query) {
  return request({
    url: '/mall/mallSchoolAcceptRecord/list',
    method: 'get',
    params: query
  })
}

// 查询院校录取数据详细
export function getMallSchoolAcceptRecord(schoolAcceptRecordId) {
  return request({
    url: '/mall/mallSchoolAcceptRecord/' + schoolAcceptRecordId,
    method: 'get'
  })
}

// 新增院校录取数据
export function addMallSchoolAcceptRecord(data) {
  return request({
    url: '/mall/mallSchoolAcceptRecord',
    method: 'post',
    data: data
  })
}

// 修改院校录取数据
export function updateMallSchoolAcceptRecord(data) {
  return request({
    url: '/mall/mallSchoolAcceptRecord',
    method: 'put',
    data: data
  })
}

// 删除院校录取数据
export function delMallSchoolAcceptRecord(schoolAcceptRecordId) {
  return request({
    url: '/mall/mallSchoolAcceptRecord/' + schoolAcceptRecordId,
    method: 'delete'
  })
}
